import pygame
import sys
import os
import tkinter as tk
from tkinter import filedialog

# אתחול pygame
pygame.init()

# יצירת חלון דיאלוג לבחירת תיקייה
def select_image_folder():
    root = tk.Tk()
    root.withdraw()  # להסתיר את חלון tkinter הראשי
    folder_selected = filedialog.askdirectory(title="Select Image Folder")
    return folder_selected

# בקשת תיקיית התמונות מהמשתמש
image_folder_path = select_image_folder()

# בדיקת אם התיקייה נבחרה
if not image_folder_path:
    print("No folder selected. Exiting.")
    pygame.quit()
    sys.exit()

# הגדרת גודל המסך
screen_width, screen_height = 800, 600
screen = pygame.display.set_mode((screen_width, screen_height))

# טעינת כל התמונות מהתיקייה
try:
    image_files = [f for f in os.listdir(image_folder_path) if f.endswith(('.png', '.jpg', '.jpeg', '.bmp', '.gif'))]
    images = [pygame.image.load(os.path.join(image_folder_path, img_file)) for img_file in image_files]
except FileNotFoundError:
    print(f"Error: The folder {image_folder_path} does not exist.")
    pygame.quit()
    sys.exit()

# פונקציה להצגת תמונה על המסך
def display_image(image):
    screen.blit(image, (0, 0))
    pygame.display.update()

# מציגים כל תמונה בתיקייה למשך 3 שניות
for img in images:
    display_image(img)
    pygame.time.delay(3000)

# מסיימים את התוכנית
pygame.quit()
sys.exit()
